+2001-08-31 Akim Demaille <akim@epita.fr>
+
+ Version 2.52d.
+
2001-08-31 Akim Demaille <akim@epita.fr>
* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS): Fix the
debug scripts, in particular passing explicitly listed tests to
run is stupid.
-
+
2001-08-31 Akim Demaille <akim@epita.fr>
* bin/autom4te.in (&parse_args): Strip `.' from `@include'.
* tests/atspecific.m4 (AT_CHECK_AUTOCONF): Adjust.
* tests/autoconf: Dittowise.
-
+
2001-08-31 Akim Demaille <akim@epita.fr>
* bin/autoconf.in: Don't bother with `acsite.m4' and `aclocal.m4'.
(&parse_args): Adjust.
* lib/autom4te.in (Autoconf): Add `acsite.m4?' and `aclocal.m4?'.
-
+
2001-08-31 Akim Demaille <akim@epita.fr>
* configure.ac: Also find tested executables in bin.
-* Major changes in Autoconf 2.52c -*- outline -*-
+* Major changes in Autoconf 2.52d -*- outline -*-
** Licensing
The Autoconf manual is now distributed under the terms of the GNU FDL.
** Requirements
#! /bin/sh
# Guess values for system-dependent variables and create Makefiles.
-# Generated by Autoconf 2.52c for GNU Autoconf 2.52c.
+# Generated by Autoconf 2.52c for GNU Autoconf 2.52d.
#
# Report bugs to <bug-autoconf@gnu.org>.
#
# Identity of this package.
PACKAGE_NAME='GNU Autoconf'
PACKAGE_TARNAME='autoconf'
-PACKAGE_VERSION='2.52c'
-PACKAGE_STRING='GNU Autoconf 2.52c'
+PACKAGE_VERSION='2.52d'
+PACKAGE_STRING='GNU Autoconf 2.52d'
PACKAGE_BUGREPORT='bug-autoconf@gnu.org'
ac_prev=
# Omit some internal or obsolete options to make the list less imposing.
# This message is too long to be a string in the A/UX 3.1 sh.
cat <<_ACEOF
-\`configure' configures GNU Autoconf 2.52c to adapt to many kinds of systems.
+\`configure' configures GNU Autoconf 2.52d to adapt to many kinds of systems.
Usage: $0 [OPTION]... [VAR=VALUE]...
if test -n "$ac_init_help"; then
case $ac_init_help in
- short | recursive ) echo "Configuration of GNU Autoconf 2.52c:";;
+ short | recursive ) echo "Configuration of GNU Autoconf 2.52d:";;
esac
cat <<\_ACEOF
test -n "$ac_init_help" && exit 0
if $ac_init_version; then
cat <<\_ACEOF
-GNU Autoconf configure 2.52c
+GNU Autoconf configure 2.52d
generated by GNU Autoconf 2.52c
Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
-It was created by GNU Autoconf $as_me 2.52c, which was
+It was created by GNU Autoconf $as_me 2.52d, which was
generated by GNU Autoconf 2.52c. Invocation command line was
$ $0 $@
# Define the identity of the package.
PACKAGE=autoconf
-VERSION=2.52c
+VERSION=2.52d
cat >>confdefs.h <<_ACEOF
#define PACKAGE "$PACKAGE"
# report actual input values of CONFIG_FILES etc. instead of their
# values after options handling. Logging --version etc. is OK.
exec 5>>config.log
-cat >&5 <<_CSEOF
-
-`sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
+{
+ echo
+ sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
## Running \$as_me. ##
-_ASBOX`
+_ASBOX
+} >&5
+cat >&5 <<_CSEOF
-This file was extended by GNU Autoconf $as_me 2.52c, which was
+This file was extended by GNU Autoconf $as_me 2.52d, which was
generated by GNU Autoconf 2.52c. Invocation command line was
CONFIG_FILES = $CONFIG_FILES
CONFIG_LINKS = $CONFIG_LINKS
CONFIG_COMMANDS = $CONFIG_COMMANDS
$ $@
-on `(hostname || uname -n) 2>/dev/null | sed 1q`
_CSEOF
+echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
+echo >&5
_ACEOF
# Files that config.status was made for.
cat >>$CONFIG_STATUS <<_ACEOF
ac_cs_version="\\
-GNU Autoconf config.status 2.52c
+GNU Autoconf config.status 2.52d
configured by $0, generated by GNU Autoconf 2.52c,
with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
- { { echo "$as_me:1762: error: ambiguous option: $1
+ { { echo "$as_me:1765: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
ac_need_defaults=false;;
# This is an error.
- -*) { { echo "$as_me:1781: error: unrecognized option: $1
+ -*) { { echo "$as_me:1784: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
"bin/Makefile" ) CONFIG_FILES="$CONFIG_FILES bin/Makefile" ;;
"tests/Makefile" ) CONFIG_FILES="$CONFIG_FILES tests/Makefile" ;;
"tests/atconfig" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tests/atconfig" ;;
- *) { { echo "$as_me:1832: error: invalid argument: $ac_config_target" >&5
+ *) { { echo "$as_me:1835: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
as_incr_dir=$as_incr_dir/$as_mkdir_dir
test -d "$as_incr_dir" ||
mkdir "$as_incr_dir" ||
- { { echo "$as_me:2020: error: cannot create \"$ac_dir\"" >&5
+ { { echo "$as_me:2023: error: cannot create \"$ac_dir\"" >&5
echo "$as_me: error: cannot create \"$ac_dir\"" >&2;}
{ (exit 1); exit 1; }; }
;;
esac
if test x"$ac_file" != x-; then
- { echo "$as_me:2057: creating $ac_file" >&5
+ { echo "$as_me:2060: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:2075: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:2078: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:2088: error: cannot find input file: $f" >&5
+ { { echo "$as_me:2091: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
ac_top_srcdir=$ac_top_builddir$srcdir ;;
esac
- { echo "$as_me:2160: executing $ac_dest commands" >&5
+ { echo "$as_me:2163: executing $ac_dest commands" >&5
echo "$as_me: executing $ac_dest commands" >&6;}
case $ac_dest in
tests/atconfig ) cat >tests/atconfig <<ATEOF
# 02111-1307, USA.
# We need AC_CONFIG_TESTDIR.
-AC_PREREQ(2.52c)
+AC_PREREQ(2.52d)
-AC_INIT(GNU Autoconf, 2.52c, bug-autoconf@gnu.org)
+AC_INIT(GNU Autoconf, 2.52d, bug-autoconf@gnu.org)
AC_CONFIG_SRCDIR(ChangeLog)
AC_CONFIG_AUX_DIR(config)
-AM_INIT_AUTOMAKE(autoconf, 2.52c)
+AM_INIT_AUTOMAKE(autoconf, 2.52d)
# Initialize the test suite.
# Some of our bins are location independant, e.g., ifnames.
-# Makefile.in generated automatically by automake 1.5 from Makefile.am.
+# Makefile.in generated automatically by automake 1.4-p4 from Makefile.am
-# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
-# Free Software Foundation, Inc.
+# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
-@SET_MAKE@
SHELL = @SHELL@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include
+
+DESTDIR =
+
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
+
top_builddir = ..
ACLOCAL = @ACLOCAL@
AUTOHEADER = @AUTOHEADER@
INSTALL = @INSTALL@
-INSTALL_PROGRAM = @INSTALL_PROGRAM@
+INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
-INSTALL_HEADER = $(INSTALL_DATA)
transform = @program_transform_name@
+
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
# Files from texi2dvi that should be removed, but which Automake does
# not know.
-CLEANFILES = autoconf.acs autoconf.cvs autoconf.mss autoconf.prs \
- autoconf.ats autoconf.evs autoconf.ovs autoconf.tmp \
- autoconf*.html standards*.html \
- autoconf*.pdf standards*.pdf
+CLEANFILES = autoconf.acs autoconf.cvs autoconf.mss autoconf.prs autoconf.ats autoconf.evs autoconf.ovs autoconf.tmp autoconf*.html standards*.html autoconf*.pdf standards*.pdf
-subdir = doc
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
-CONFIG_CLEAN_FILES =
-DIST_SOURCES =
+CONFIG_CLEAN_FILES =
+TEXI2DVI = texi2dvi
TEXINFO_TEX = $(top_srcdir)/config/texinfo.tex
INFO_DEPS = autoconf.info standards.info
DVIS = autoconf.dvi standards.dvi
TEXINFOS = autoconf.texi standards.texi
-DIST_COMMON = $(autoconf_TEXINFOS) $(standards_TEXINFOS) Makefile.am \
- Makefile.in stamp-vti version.texi
-all: all-am
+DIST_COMMON = $(autoconf_TEXINFOS) $(standards_TEXINFOS) Makefile.am \
+Makefile.in stamp-vti version.texi
+
+DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)
+
+TAR = tar
+GZIP_ENV = --best
+all: all-redirect
.SUFFIXES:
-.SUFFIXES: .dvi .info .ps .texi
-$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
- cd $(top_srcdir) && \
- $(AUTOMAKE) --gnu doc/Makefile
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
- cd $(top_builddir) && \
- CONFIG_HEADERS= CONFIG_LINKS= \
- CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status
-
-$(srcdir)/version.texi: $(srcdir)/stamp-vti
+.SUFFIXES: .dvi .info .ps .texi .texinfo .txi
+$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
+ cd $(top_srcdir) && $(AUTOMAKE) --gnu doc/Makefile
+
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
+ cd $(top_builddir) \
+ && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
+
+
+$(srcdir)/version.texi: stamp-vti
@:
+
$(srcdir)/stamp-vti: autoconf.texi $(top_srcdir)/configure.ac
- @(set `$(SHELL) $(top_srcdir)/config/mdate-sh $(srcdir)/autoconf.texi`; \
- echo "@set UPDATED $$1 $$2 $$3"; \
- echo "@set UPDATED-MONTH $$2 $$3"; \
- echo "@set EDITION $(VERSION)"; \
- echo "@set VERSION $(VERSION)") > vti.tmp
+ @echo "@set UPDATED `$(SHELL) $(top_srcdir)/config/mdate-sh $(srcdir)/autoconf.texi`" > vti.tmp
+ @echo "@set EDITION $(VERSION)" >> vti.tmp
+ @echo "@set VERSION $(VERSION)" >> vti.tmp
@cmp -s vti.tmp $(srcdir)/version.texi \
|| (echo "Updating $(srcdir)/version.texi"; \
cp vti.tmp $(srcdir)/version.texi)
mostlyclean-vti:
-rm -f vti.tmp
+clean-vti:
+
+distclean-vti:
+
maintainer-clean-vti:
-rm -f $(srcdir)/stamp-vti $(srcdir)/version.texi
-autoconf.info: autoconf.texi $(srcdir)/version.texi $(autoconf_TEXINFOS)
-autoconf.dvi: autoconf.texi $(srcdir)/version.texi $(autoconf_TEXINFOS)
+autoconf.info: autoconf.texi version.texi $(autoconf_TEXINFOS)
+autoconf.dvi: autoconf.texi version.texi $(autoconf_TEXINFOS)
+
standards.info: standards.texi $(standards_TEXINFOS)
standards.dvi: standards.texi $(standards_TEXINFOS)
+
+DVIPS = dvips
+
.texi.info:
@cd $(srcdir) && rm -f $@ $@-[0-9] $@-[0-9][0-9]
cd $(srcdir) \
- && $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) \
- `echo $< | sed 's,.*/,,'`
+ && $(MAKEINFO) `echo $< | sed 's,.*/,,'`
.texi.dvi:
- TEXINPUTS=$(top_srcdir)/config:$$TEXINPUTS \
- MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
- $(TEXI2DVI) $<
+ TEXINPUTS=$(top_srcdir)/config/texinfo.tex:$$TEXINPUTS \
+ MAKEINFO='$(MAKEINFO) -I $(srcdir)' $(TEXI2DVI) $<
.texi:
@cd $(srcdir) && rm -f $@ $@-[0-9] $@-[0-9][0-9]
cd $(srcdir) \
- && $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) \
- `echo $< | sed 's,.*/,,'`
-TEXI2DVI = texi2dvi
-DVIPS = dvips
+ && $(MAKEINFO) `echo $< | sed 's,.*/,,'`
+
+.texinfo.info:
+ @cd $(srcdir) && rm -f $@ $@-[0-9] $@-[0-9][0-9]
+ cd $(srcdir) \
+ && $(MAKEINFO) `echo $< | sed 's,.*/,,'`
+
+.texinfo:
+ @cd $(srcdir) && rm -f $@ $@-[0-9] $@-[0-9][0-9]
+ cd $(srcdir) \
+ && $(MAKEINFO) `echo $< | sed 's,.*/,,'`
+
+.texinfo.dvi:
+ TEXINPUTS=$(top_srcdir)/config/texinfo.tex:$$TEXINPUTS \
+ MAKEINFO='$(MAKEINFO) -I $(srcdir)' $(TEXI2DVI) $<
+
+.txi.info:
+ @cd $(srcdir) && rm -f $@ $@-[0-9] $@-[0-9][0-9]
+ cd $(srcdir) \
+ && $(MAKEINFO) `echo $< | sed 's,.*/,,'`
+
+.txi.dvi:
+ TEXINPUTS=$(top_srcdir)/config/texinfo.tex:$$TEXINPUTS \
+ MAKEINFO='$(MAKEINFO) -I $(srcdir)' $(TEXI2DVI) $<
+
+.txi:
+ @cd $(srcdir) && rm -f $@ $@-[0-9] $@-[0-9][0-9]
+ cd $(srcdir) \
+ && $(MAKEINFO) `echo $< | sed 's,.*/,,'`
.dvi.ps:
$(DVIPS) $< -o $@
-uninstall-info-am:
- $(PRE_UNINSTALL)
- @if (install-info --version && \
- install-info --version | fgrep -i -v debian) >/dev/null 2>&1; then \
+install-info-am: $(INFO_DEPS)
+ @$(NORMAL_INSTALL)
+ $(mkinstalldirs) $(DESTDIR)$(infodir)
+ @list='$(INFO_DEPS)'; \
+ for file in $$list; do \
+ d=$(srcdir); \
+ for ifile in `cd $$d && echo $$file $$file-[0-9] $$file-[0-9][0-9]`; do \
+ if test -f $$d/$$ifile; then \
+ echo " $(INSTALL_DATA) $$d/$$ifile $(DESTDIR)$(infodir)/$$ifile"; \
+ $(INSTALL_DATA) $$d/$$ifile $(DESTDIR)$(infodir)/$$ifile; \
+ else : ; fi; \
+ done; \
+ done
+ @$(POST_INSTALL)
+ @if $(SHELL) -c 'install-info --version | sed 1q | fgrep -s -v -i debian' >/dev/null 2>&1; then \
list='$(INFO_DEPS)'; \
for file in $$list; do \
- echo " install-info --info-dir=$(DESTDIR)$(infodir) --remove $(DESTDIR)$(infodir)/$$file"; \
- install-info --info-dir=$(DESTDIR)$(infodir) --remove $(DESTDIR)$(infodir)/$$file; \
+ echo " install-info --info-dir=$(DESTDIR)$(infodir) $(DESTDIR)$(infodir)/$$file";\
+ install-info --info-dir=$(DESTDIR)$(infodir) $(DESTDIR)$(infodir)/$$file || :;\
done; \
- else :; fi
+ else : ; fi
+
+uninstall-info:
+ $(PRE_UNINSTALL)
+ @if $(SHELL) -c 'install-info --version | sed 1q | fgrep -s -v -i debian' >/dev/null 2>&1; then \
+ ii=yes; \
+ else ii=; fi; \
+ list='$(INFO_DEPS)'; \
+ for file in $$list; do \
+ test -z "$$ii" \
+ || install-info --info-dir=$(DESTDIR)$(infodir) --remove $$file; \
+ done
@$(NORMAL_UNINSTALL)
- @list='$(INFO_DEPS)'; \
+ list='$(INFO_DEPS)'; \
for file in $$list; do \
- (if cd $(DESTDIR)$(infodir); then \
- echo " rm -f $$file $$file-[0-9] $$file-[0-9][0-9])"; \
- rm -f $$file $$file-[0-9] $$file-[0-9][0-9]; \
- else :; fi); \
+ (cd $(DESTDIR)$(infodir) && rm -f $$file $$file-[0-9] $$file-[0-9][0-9]); \
done
dist-info: $(INFO_DEPS)
list='$(INFO_DEPS)'; \
for base in $$list; do \
d=$(srcdir); \
- for file in `CDPATH=: && cd $$d && eval echo $$base*`; do \
+ for file in `cd $$d && eval echo $$base*`; do \
test -f $(distdir)/$$file \
+ || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
|| cp -p $$d/$$file $(distdir)/$$file; \
done; \
done
mostlyclean-aminfo:
- -rm -f autoconf.ac autoconf.at autoconf.aux autoconf.cp autoconf.cps \
- autoconf.cv autoconf.dvi autoconf.ev autoconf.fn autoconf.fns \
- autoconf.ky autoconf.log autoconf.ms autoconf.ov autoconf.pg \
- autoconf.pr autoconf.ps autoconf.toc autoconf.tp autoconf.vr \
- autoconf.vrs standards.aux standards.cp standards.cps \
- standards.dvi standards.fn standards.ky standards.log \
- standards.pg standards.ps standards.toc standards.tp \
- standards.vr
+ -rm -f autoconf.aux autoconf.cp autoconf.cps autoconf.dvi autoconf.fn \
+ autoconf.fns autoconf.ky autoconf.kys autoconf.ps \
+ autoconf.log autoconf.pg autoconf.toc autoconf.tp \
+ autoconf.tps autoconf.vr autoconf.vrs autoconf.op autoconf.tr \
+ autoconf.cv autoconf.cn standards.aux standards.cp \
+ standards.cps standards.dvi standards.fn standards.fns \
+ standards.ky standards.kys standards.ps standards.log \
+ standards.pg standards.toc standards.tp standards.tps \
+ standards.vr standards.vrs standards.op standards.tr \
+ standards.cv standards.cn
+
+clean-aminfo:
+
+distclean-aminfo:
maintainer-clean-aminfo:
- cd $(srcdir) && \
- for i in $(INFO_DEPS); do \
+ cd $(srcdir) && for i in $(INFO_DEPS); do \
rm -f $$i; \
if test "`echo $$i-[0-9]*`" != "$$i-[0-9]*"; then \
rm -f $$i-[0-9]*; \
TAGS:
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
-top_distdir = ..
-distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)
+subdir = doc
distdir: $(DISTFILES)
+ here=`cd $(top_builddir) && pwd`; \
+ top_distdir=`cd $(top_distdir) && pwd`; \
+ distdir=`cd $(distdir) && pwd`; \
+ cd $(top_srcdir) \
+ && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu doc/Makefile
@for file in $(DISTFILES); do \
- if test -f $$file; then d=.; else d=$(srcdir); fi; \
- dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
- if test "$$dir" != "$$file" && test "$$dir" != "."; then \
- $(mkinstalldirs) "$(distdir)/$$dir"; \
- fi; \
+ d=$(srcdir); \
if test -d $$d/$$file; then \
- cp -pR $$d/$$file $(distdir) \
- || exit 1; \
+ cp -pr $$d/$$file $(distdir)/$$file; \
else \
test -f $(distdir)/$$file \
- || cp -p $$d/$$file $(distdir)/$$file \
- || exit 1; \
+ || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
+ || cp -p $$d/$$file $(distdir)/$$file || :; \
fi; \
done
- $(MAKE) $(AM_MAKEFLAGS) \
- top_distdir="${top_distdir}" distdir="$(distdir)" \
- dist-info
+ $(MAKE) $(AM_MAKEFLAGS) top_distdir="$(top_distdir)" distdir="$(distdir)" dist-info
+info-am: $(INFO_DEPS)
+info: info-am
+dvi-am: $(DVIS)
+dvi: dvi-am
check-am: all-am
check: check-am
-all-am: Makefile $(INFO_DEPS)
-
-installdirs:
- $(mkinstalldirs) $(DESTDIR)$(infodir)
-
-install: install-am
+installcheck-am:
+installcheck: installcheck-am
+install-exec-am:
install-exec: install-exec-am
+
+install-data-am: install-info-am
install-data: install-data-am
-uninstall: uninstall-am
install-am: all-am
@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
-
-installcheck: installcheck-am
+install: install-am
+uninstall-am: uninstall-info
+uninstall: uninstall-am
+all-am: Makefile $(INFO_DEPS)
+all-redirect: all-am
install-strip:
- $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
- `test -z '$(STRIP)' || \
- echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
+ $(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
+installdirs:
+ $(mkinstalldirs) $(DESTDIR)$(infodir)
+
+
mostlyclean-generic:
clean-generic:
-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
distclean-generic:
- -rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*
+ -rm -f Makefile $(CONFIG_CLEAN_FILES)
+ -rm -f config.cache config.log stamp-h stamp-h[0-9]*
maintainer-clean-generic:
- @echo "This command is intended for maintainers to use"
- @echo "it deletes files that may require special tools to rebuild."
-clean: clean-am
-
-clean-am: clean-generic mostlyclean-am
-
-distclean: distclean-am
-
-distclean-am: clean-am distclean-generic
-
-dvi: dvi-am
-
-dvi-am: $(DVIS)
-
-info: info-am
+mostlyclean-am: mostlyclean-vti mostlyclean-aminfo mostlyclean-generic
-info-am: $(INFO_DEPS)
+mostlyclean: mostlyclean-am
-install-data-am: install-info-am
+clean-am: clean-vti clean-aminfo clean-generic mostlyclean-am
-install-exec-am:
+clean: clean-am
-install-info: install-info-am
+distclean-am: distclean-vti distclean-aminfo distclean-generic clean-am
-install-info-am: $(INFO_DEPS)
- @$(NORMAL_INSTALL)
- $(mkinstalldirs) $(DESTDIR)$(infodir)
- @list='$(INFO_DEPS)'; \
- for file in $$list; do \
- d=$(srcdir); \
- for ifile in `CDPATH=: && cd $$d && echo $$file $$file-[0-9] $$file-[0-9][0-9]`; do \
- if test -f $$d/$$ifile; then \
- echo " $(INSTALL_DATA) $$d/$$ifile $(DESTDIR)$(infodir)/$$ifile"; \
- $(INSTALL_DATA) $$d/$$ifile $(DESTDIR)$(infodir)/$$ifile; \
- else : ; fi; \
- done; \
- done
- @$(POST_INSTALL)
- @if (install-info --version && \
- install-info --version | fgrep -i -v debian) >/dev/null 2>&1; then \
- list='$(INFO_DEPS)'; \
- for file in $$list; do \
- echo " install-info --info-dir=$(DESTDIR)$(infodir) $(DESTDIR)$(infodir)/$$file";\
- install-info --info-dir=$(DESTDIR)$(infodir) $(DESTDIR)$(infodir)/$$file || :;\
- done; \
- else : ; fi
-install-man:
+distclean: distclean-am
-installcheck-am:
+maintainer-clean-am: maintainer-clean-vti maintainer-clean-aminfo \
+ maintainer-clean-generic distclean-am
+ @echo "This command is intended for maintainers to use;"
+ @echo "it deletes files that may require special tools to rebuild."
maintainer-clean: maintainer-clean-am
-maintainer-clean-am: distclean-am maintainer-clean-aminfo \
- maintainer-clean-generic maintainer-clean-vti
-
-mostlyclean: mostlyclean-am
-
-mostlyclean-am: mostlyclean-aminfo mostlyclean-generic mostlyclean-vti
-
-uninstall-am: uninstall-info-am
-
-.PHONY: all all-am check check-am clean clean-generic dist-info \
- distclean distclean-generic distdir dvi dvi-am info info-am \
- install install-am install-data install-data-am install-exec \
- install-exec-am install-info install-info-am install-man \
- install-strip installcheck installcheck-am installdirs \
- maintainer-clean maintainer-clean-aminfo \
- maintainer-clean-generic maintainer-clean-vti mostlyclean \
- mostlyclean-aminfo mostlyclean-generic mostlyclean-vti \
- uninstall uninstall-am uninstall-info-am
+.PHONY: mostlyclean-vti distclean-vti clean-vti maintainer-clean-vti \
+install-info-am uninstall-info mostlyclean-aminfo distclean-aminfo \
+clean-aminfo maintainer-clean-aminfo tags distdir info-am info dvi-am \
+dvi check check-am installcheck-am installcheck install-exec-am \
+install-exec install-data-am install-data install-am install \
+uninstall-am uninstall all-redirect all-am all installdirs \
+mostlyclean-generic distclean-generic clean-generic \
+maintainer-clean-generic clean mostlyclean distclean maintainer-clean
html: autoconf_1.html standards_1.html
$(TEXI2DVI) --pdf --batch $(srcdir)/standards.texi
.PHONY: html pdf
+
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
.\" DO NOT MODIFY THIS FILE! It was generated by help2man 1.24.
-.TH AUTOCONF "1" "August 2001" "GNU Autoconf 2.52c" FSF
+.TH AUTOCONF "1" "August 2001" "GNU Autoconf 2.52d" FSF
.SH NAME
autoconf \- Generate configuration scripts
.SH SYNOPSIS
.\" DO NOT MODIFY THIS FILE! It was generated by help2man 1.24.
-.TH AUTOHEADER "1" "August 2001" "GNU Autoconf 2.52c" FSF
+.TH AUTOHEADER "1" "August 2001" "GNU Autoconf 2.52d" FSF
.SH NAME
autoheader \- Create a template header for configure
.SH SYNOPSIS
\fB\-d\fR, \fB\-\-debug\fR
don't remove temporary files
.TP
+\fB\-I\fR, \fB\-\-include\fR=\fIDIR\fR
+look for input files in DIR. Accumulates
+.TP
\fB\-f\fR, \fB\-\-force\fR
consider all the files are obsolete
.TP
.TP
`error'
warnings are error
-.SS "Library directories:"
-.TP
-\fB\-A\fR, \fB\-\-autoconf\-dir\fR=\fIACDIR\fR
-Autoconf's macro files location (rarely needed)
-.TP
-\fB\-l\fR, \fB\-\-localdir\fR=\fIDIR\fR
-location of `aclocal.m4' and `acconfig.h'
.SH AUTHOR
Written by Roland McGrath.
.PP
.\" DO NOT MODIFY THIS FILE! It was generated by help2man 1.24.
-.TH AUTOM4TE "1" "August 2001" "GNU Autoconf 2.52c" FSF
+.TH AUTOM4TE "1" "August 2001" "GNU Autoconf 2.52d" FSF
.SH NAME
autom4te \- Generate files and scripts thanks to M4
.SH SYNOPSIS
.\" DO NOT MODIFY THIS FILE! It was generated by help2man 1.24.
-.TH AUTORECONF "1" "August 2001" "GNU Autoconf 2.52c" FSF
+.TH AUTORECONF "1" "August 2001" "GNU Autoconf 2.52d" FSF
.SH NAME
autoreconf \- Update generated configuration files
.SH SYNOPSIS
.\" DO NOT MODIFY THIS FILE! It was generated by help2man 1.24.
-.TH AUTOSCAN "1" "August 2001" "GNU Autoconf 2.52c" FSF
+.TH AUTOSCAN "1" "August 2001" "GNU Autoconf 2.52d" FSF
.SH NAME
autoscan \- Generate a preliminary configure.in
.SH SYNOPSIS
.\" DO NOT MODIFY THIS FILE! It was generated by help2man 1.24.
-.TH AUTOUPDATE "1" "August 2001" "GNU Autoconf 2.52c" FSF
+.TH AUTOUPDATE "1" "August 2001" "GNU Autoconf 2.52d" FSF
.SH NAME
autoupdate \- Update a configure.in to a newer Autoconf
.SH SYNOPSIS
.\" DO NOT MODIFY THIS FILE! It was generated by help2man 1.24.
-.TH IFNAMES "1" "August 2001" "GNU Autoconf 2.52c" FSF
+.TH IFNAMES "1" "August 2001" "GNU Autoconf 2.52d" FSF
.SH NAME
ifnames \- Extract CPP conditionals from a set of files
.SH SYNOPSIS
-# Makefile.in generated automatically by automake 1.5 from Makefile.am.
+# Makefile.in generated automatically by automake 1.4-p4 from Makefile.am
-# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
-# Free Software Foundation, Inc.
+# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
-@SET_MAKE@
-
# We don't actually distribute the testsuite, since one only
# needs m4 to build it, m4 being required anyway to install Autoconf.
+
SHELL = @SHELL@
srcdir = @srcdir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include
+
+DESTDIR =
+
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
+
top_builddir = ..
ACLOCAL = @ACLOCAL@
AUTOHEADER = @AUTOHEADER@
INSTALL = @INSTALL@
-INSTALL_PROGRAM = @INSTALL_PROGRAM@
+INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
-INSTALL_HEADER = $(INSTALL_DATA)
transform = @program_transform_name@
+
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
PERL = @PERL@
VERSION = @VERSION@
-EXTRA_DIST = $(WRAPPERS) $(TESTSUITE_AT) atspecific.m4 aclocal.m4 mktests.sh \
- atlocal.in
+EXTRA_DIST = $(WRAPPERS) $(TESTSUITE_AT) atspecific.m4 aclocal.m4 mktests.sh atlocal.in
# Running the uninstalled scripts.
DISTCLEANFILES = atconfig atlocal $(TESTSUITE)
-TESTSUITE_GENERATED_AT = \
- aclang.at acc.at acfortran.at \
- acgeneral.at acstatus.at \
- acautoheader.at acautoupdate.at \
- acspecific.at acfunctions.at acheaders.at actypes.at \
- aclibs.at acprograms.at
+TESTSUITE_GENERATED_AT = aclang.at acc.at acfortran.at acgeneral.at acstatus.at acautoheader.at acautoupdate.at acspecific.at acfunctions.at acheaders.at actypes.at aclibs.at acprograms.at
-TESTSUITE_HAND_AT = \
- suite.at \
- m4sugar.at m4sh.at \
- base.at tools.at torture.at \
- compile.at \
- semantics.at \
- foreign.at
+TESTSUITE_HAND_AT = suite.at m4sugar.at m4sh.at base.at tools.at torture.at compile.at semantics.at foreign.at
TESTSUITE_AT = $(TESTSUITE_GENERATED_AT) $(TESTSUITE_HAND_AT)
# here since below we explicitly `cd' to $srcdir. As for the dependencies,
# thanks God for VPATH. Hm...
autoconfdir = $(top_srcdir)/lib/autoconf
-AUTOCONF_FILES = $(autoconfdir)/general.m4 \
- $(autoconfdir)/status.m4 \
- $(autoconfdir)/autoheader.m4 \
- $(autoconfdir)/autoupdate.m4 \
- $(autoconfdir)/specific.m4 \
- $(autoconfdir)/functions.m4 \
- $(autoconfdir)/lang.m4 \
- $(autoconfdir)/c.m4 \
- $(autoconfdir)/fortran.m4 \
- $(autoconfdir)/headers.m4 \
- $(autoconfdir)/libs.m4 \
- $(autoconfdir)/types.m4 \
- $(autoconfdir)/programs.m4
+AUTOCONF_FILES = $(autoconfdir)/general.m4 $(autoconfdir)/status.m4 $(autoconfdir)/autoheader.m4 $(autoconfdir)/autoupdate.m4 $(autoconfdir)/specific.m4 $(autoconfdir)/functions.m4 $(autoconfdir)/lang.m4 $(autoconfdir)/c.m4 $(autoconfdir)/fortran.m4 $(autoconfdir)/headers.m4 $(autoconfdir)/libs.m4 $(autoconfdir)/types.m4 $(autoconfdir)/programs.m4
# The hairy heredoc is more robust than using echo.
CLEANFILES = expr
-subdir = tests
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
-CONFIG_CLEAN_FILES =
-DIST_SOURCES =
-DIST_COMMON = README Makefile.am Makefile.in
-all: all-am
+CONFIG_CLEAN_FILES =
+DIST_COMMON = README Makefile.am Makefile.in
+
+DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)
+
+TAR = tar
+GZIP_ENV = --best
+all: all-redirect
.SUFFIXES:
-$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
- cd $(top_srcdir) && \
- $(AUTOMAKE) --gnits tests/Makefile
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
- cd $(top_builddir) && \
- CONFIG_HEADERS= CONFIG_LINKS= \
- CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status
-uninstall-info-am:
+$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
+ cd $(top_srcdir) && $(AUTOMAKE) --gnits tests/Makefile
+
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
+ cd $(top_builddir) \
+ && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
+
tags: TAGS
TAGS:
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
-top_distdir = ..
-distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)
+subdir = tests
distdir: $(DISTFILES)
+ here=`cd $(top_builddir) && pwd`; \
+ top_distdir=`cd $(top_distdir) && pwd`; \
+ distdir=`cd $(distdir) && pwd`; \
+ cd $(top_srcdir) \
+ && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnits tests/Makefile
@for file in $(DISTFILES); do \
- if test -f $$file; then d=.; else d=$(srcdir); fi; \
- dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
- if test "$$dir" != "$$file" && test "$$dir" != "."; then \
- $(mkinstalldirs) "$(distdir)/$$dir"; \
- fi; \
+ d=$(srcdir); \
if test -d $$d/$$file; then \
- cp -pR $$d/$$file $(distdir) \
- || exit 1; \
+ cp -pr $$d/$$file $(distdir)/$$file; \
else \
test -f $(distdir)/$$file \
- || cp -p $$d/$$file $(distdir)/$$file \
- || exit 1; \
+ || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
+ || cp -p $$d/$$file $(distdir)/$$file || :; \
fi; \
done
+info-am:
+info: info-am
+dvi-am:
+dvi: dvi-am
check-am: all-am
$(MAKE) $(AM_MAKEFLAGS) check-local
check: check-am
-all-am: Makefile
-
-installdirs:
-
-install: install-am
+installcheck-am: installcheck-local
+installcheck: installcheck-am
+install-exec-am:
install-exec: install-exec-am
+
+install-data-am:
install-data: install-data-am
-uninstall: uninstall-am
install-am: all-am
@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
-
-installcheck: installcheck-am
+install: install-am
+uninstall-am:
+uninstall: uninstall-am
+all-am: Makefile
+all-redirect: all-am
install-strip:
- $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
- `test -z '$(STRIP)' || \
- echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
+ $(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
+installdirs:
+
+
mostlyclean-generic:
clean-generic:
-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
distclean-generic:
- -rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*
+ -rm -f Makefile $(CONFIG_CLEAN_FILES)
+ -rm -f config.cache config.log stamp-h stamp-h[0-9]*
-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
maintainer-clean-generic:
- @echo "This command is intended for maintainers to use"
- @echo "it deletes files that may require special tools to rebuild."
-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
-clean: clean-am
-
-clean-am: clean-generic clean-local mostlyclean-am
+mostlyclean-am: mostlyclean-generic
-distclean: distclean-am
-
-distclean-am: clean-am distclean-generic
-
-dvi: dvi-am
-
-dvi-am:
-
-info: info-am
-
-info-am:
+mostlyclean: mostlyclean-am
-install-data-am:
+clean-am: clean-generic mostlyclean-am clean-local
-install-exec-am:
+clean: clean-am
-install-info: install-info-am
+distclean-am: distclean-generic clean-am
-install-man:
+distclean: distclean-am
-installcheck-am: installcheck-local
+maintainer-clean-am: maintainer-clean-generic distclean-am
+ @echo "This command is intended for maintainers to use;"
+ @echo "it deletes files that may require special tools to rebuild."
maintainer-clean: maintainer-clean-am
-maintainer-clean-am: distclean-am maintainer-clean-generic
-
-mostlyclean: mostlyclean-am
-
-mostlyclean-am: mostlyclean-generic
-
-uninstall-am: uninstall-info-am
-
-.PHONY: all all-am check check-am check-local clean clean-generic \
- clean-local distclean distclean-generic distdir dvi dvi-am info \
- info-am install install-am install-data install-data-am \
- install-exec install-exec-am install-info install-info-am \
- install-man install-strip installcheck installcheck-am \
- installcheck-local installdirs maintainer-clean \
- maintainer-clean-generic mostlyclean mostlyclean-generic \
- uninstall uninstall-am uninstall-info-am
+.PHONY: tags distdir info-am info dvi-am dvi check-local check check-am \
+installcheck-local installcheck-am installcheck install-exec-am \
+install-exec install-data-am install-data install-am install \
+uninstall-am uninstall all-redirect all-am all installdirs \
+mostlyclean-generic distclean-generic clean-generic \
+maintainer-clean-generic clean mostlyclean distclean maintainer-clean
testsuite: $(top_srcdir)/lib/m4sugar/m4sugar.m4 \
$(top_srcdir)/lib/m4sugar/m4sh.m4 \
# Try using G++ as a C compiler.
maintainer-check-c++:
CC=g++ make check
+
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT: